Package com.avaya.clientservices.media

## Class AndroidAudioManager

- java.lang.Object
- - com.avaya.clientservices.media.AndroidAudioManager

- Direct Known Subclasses:
    `VantageAudioManager`

      public class AndroidAudioManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AndroidAudioManager​(android.content.Context context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `android.media.AudioDeviceInfo[]` | `getDevices​(int flags)` |
    `int` | `getMode()` |
    `java.lang.String` | `getParameters​(java.lang.String keys)` |
    `boolean` | `isBluetoothScoAvailableOffCall()` |
    `boolean` | `isBluetoothScoOn()` |
    `boolean` | `isSpeakerphoneOn()` |
    `boolean` | `isWiredHeadsetOn()` |
    `void` | `registerAudioDeviceCallback​(android.media.AudioDeviceCallback callback, android.os.Handler handler)` |
    `void` | `setBluetoothScoOn​(boolean on)` |
    `void` | `setMode​(int mode)` |
    `void` | `setParameters​(java.lang.String keyValuePairs)` |
    `void` | `setSpeakerphoneOn​(boolean on)` |
    `void` | `startBluetoothSco()` |
    `void` | `stopBluetoothSco()` |
    `void` | `unregisterAudioDeviceCallback​(android.media.AudioDeviceCallback callback)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidAudioManager

          public AndroidAudioManager​(android.content.Context context)

  - ### Method Detail

    - #### isBluetoothScoAvailableOffCall

          public boolean isBluetoothScoAvailableOffCall()

    - #### setMode

          public void setMode​(int mode)

    - #### getMode

          public int getMode()

    - #### isWiredHeadsetOn

          public boolean isWiredHeadsetOn()

    - #### setSpeakerphoneOn

          public void setSpeakerphoneOn​(boolean on)

    - #### isSpeakerphoneOn

          public boolean isSpeakerphoneOn()

    - #### startBluetoothSco

          public void startBluetoothSco()

    - #### stopBluetoothSco

          public void stopBluetoothSco()

    - #### setBluetoothScoOn

          public void setBluetoothScoOn​(boolean on)

    - #### isBluetoothScoOn

          public boolean isBluetoothScoOn()

    - #### getParameters

          public java.lang.String getParameters​(java.lang.String keys)

    - #### setParameters

          public void setParameters​(java.lang.String keyValuePairs)

    - #### registerAudioDeviceCallback

          public void registerAudioDeviceCallback​(android.media.AudioDeviceCallback callback,
                                                  android.os.Handler handler)

    - #### unregisterAudioDeviceCallback

          public void unregisterAudioDeviceCallback​(android.media.AudioDeviceCallback callback)

    - #### getDevices

          public android.media.AudioDeviceInfo[] getDevices​(int flags)